Compatible containers - 6.5

Talend Open Studio for ESB Installation and Upgrade Guide for Windows

EnrichVersion
6.5
EnrichProdName
Talend Open Studio for ESB
task
Installation and Upgrade
EnrichPlatform
Talend ESB
Talend Runtime
Talend Studio
The following tables provide information on the recommended and supported containers for the Talend server modules.

In the following documentation:

  • recommended: designates an environment recommended by Talend based on our experiences and customer usage;

  • supported: designates a supported environment for use with the listed component or service;

  • supported with limitations: designates an environment that is supported by Talend but with certain conditions explained in notes.

Talend ESB

Support type

Runtime Containers

Note

Recommended

Talend Runtime (Apache Karaf) 6.5

Except for Talend Identity Management, where Apache Tomcat 8.0 is recommended.

Apache Tomcat 8.0

Only for Talend Identity Management.

Supported

Apache Tomcat 8.0

Only for CXF Services, Camel Routes, Service Activity Monitoring, Talend Identity Management and Security Token Service.

Deprecated

Apache Tomcat 7

Only for CXF Services, Camel Routes, Service Activity Monitoring, Talend Identity Management and Security Token Service.

JBoss EAP 6.4

Only for CXF Services and Camel Routes.

Weblogic 12c

Only for CXF Services and Camel Routes.

IBM Websphere 8.5

Only for CXF Services and Camel Routes.